28-घंटे की पोस्ट इनसाइट्स प्राप्त करें
curl --request GET \
--url https://api.x.com/2/insights/28hr \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.x.com/2/insights/28hr"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.x.com/2/insights/28hr', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"errors": [
{
"error": "<string>",
"tweets": [
"<string>"
]
}
],
"measurement": {
"metrics_time_series": [
{
"tweet_id": "1346889436626259968",
"value": {
"metric_values": [
{
"metric_type": "<string>",
"metric_value": 123
}
],
"timestamp": {
"iso8601_time": "<string>"
}
}
}
],
"metrics_total": [
{
"tweet_id": "1346889436626259968",
"value": [
{
"metric_type": "<string>",
"metric_value": 123
}
]
}
]
}
}
],
"errors": [
{
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"status": 123
}
]
}{
"code": 123,
"message": "<string>"
}28-घंटे की पोस्ट इनसाइट्स प्राप्त करें
पिछले 28 घंटों में निर्दिष्ट पोस्ट्स के लिए एंगेजमेंट मेट्रिक्स प्राप्त करता है।
GET
/
2
/
insights
/
28hr
28-घंटे की पोस्ट इनसाइट्स प्राप्त करें
Authorizations
OAuth2UserTokenUserToken
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
28 घंटे के मेट्रिक्स के लिए PostIds की सूची।
Required array length:
1 - 25 elementsइस Tweet का विशिष्ट पहचानकर्ता। इसे स्ट्रिंग के रूप में लौटाया जाता है, ताकि उन भाषाओं और टूल्स में जटिलताओं से बचा जा सके जो बड़े पूर्णांकों को संभाल नहीं सकते।
Pattern:
^[0-9]{1,19}$Example:
["20"]
मेट्रिक्स रिस्पॉन्स की ग्रैन्युलैरिटी।
Available options:
Daily, Hourly, Weekly, Total Example:
"Total"
ऐतिहासिक अनुरोध के लिए मेट्रिक्स का अनुरोध करें।
Minimum array length:
1Available options:
AppInstallAttempts, AppOpens, DetailExpands, EmailTweet, Engagements, Follows, HashtagClicks, Impressions, Likes, LinkClicks, MediaEngagements, MediaViews, PermalinkClicks, ProfileVisits, QuoteTweets, Replies, Retweets, UniqueVideoViews, UrlClicks, UserProfileClicks, VideoCompletions, VideoPlayed25Percent, VideoPlayed50Percent, VideoPlayed75Percent, VideoStarts, VideoViews प्रदर्शित करने के लिए Engagement फ़ील्ड्स की अल्पविराम-से-पृथक सूची। Engagement ऑब्जेक्ट के लिए उपलब्ध फ़ील्ड्स।
Minimum array length:
1Available options:
errors, measurement Example:
["errors", "measurement"]
Response
अनुरोध सफल रहा।
Minimum array length:
1Show child attributes
Show child attributes
Minimum array length:
1IETF RFC 7807 (https://tools.ietf.org/html/rfc7807) में परिभाषित एक HTTP Problem Details ऑब्जेक्ट।
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
Show child attributes
Show child attributes